Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Starting and Quitting Yorick Getting Help Error Recovery Array Data Types Constants Defining Variables Arithmetic and Comparison Operators Logical Operators Creating Arrays Indexing Arrays Array Conformability Rules Calling Functions Defining Functions Variable Scope Returning from Functions Compound Statements Conditional Execution Loops Function Reference I/O Reference | # Yorick Language Reference ## Calling Functions
f`(`arg1, ..., argN `)` | invoke f as a function
f`,` arg1, ..., argN | invoke f as a subroutine, discard return
Arguments which are omitted are passed to the function as nil. In addition to positional arguments, a function (invoked by either of the above two mechanisms). Keyword arguments look like this: f`,`arg1, keyA= exprA, keyB= exprB, arg2, ... where keyA and keyB are the names of keyword arguments of the function f. Omitted keywords are passed to f as nil values. Keywords typically set optional values which have defaults.